com.brightcove.player.captioning

## Class TTMLParser.Attributes

- java.lang.Object
- - com.brightcove.player.captioning.TTMLParser.Attributes

- Enclosing class:
    TTMLParser

      public static class TTMLParser.Attributes
      extends java.lang.Object

  All XML attributes recognized in a TTML document.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BEGIN`
    `static java.lang.String` | `BG_COLOR`
    `static java.lang.String` | `COLOR`
    `static java.lang.String` | `DISPLAY_ALIGN`
    `static java.lang.String` | `END`
    `static java.lang.String` | `EXTENT`
    `static java.lang.String` | `FONT_FAMILY`
    `static java.lang.String` | `FONT_SIZE`
    `static java.lang.String` | `FONT_STYLE`
    `static java.lang.String` | `FONT_WEIGHT`
    `static java.lang.String` | `ID`
    `static java.lang.String` | `ORIGIN`
    `static java.lang.String` | `REGION`
    `static java.lang.String` | `STYLE`
    `static java.lang.String` | `TEXT_ALIGN`
    `static java.lang.String` | `TEXT_DECORATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Attributes()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ID

          public static final java.lang.String ID

      See Also:
        Constant Field Values

    - #### BEGIN

          public static final java.lang.String BEGIN

      See Also:
        Constant Field Values

    - #### END

          public static final java.lang.String END

      See Also:
        Constant Field Values

    - #### STYLE

          public static final java.lang.String STYLE

      See Also:
        Constant Field Values

    - #### COLOR

          public static final java.lang.String COLOR

      See Also:
        Constant Field Values

    - #### BG_COLOR

          public static final java.lang.String BG_COLOR

      See Also:
        Constant Field Values

    - #### FONT_SIZE

          public static final java.lang.String FONT_SIZE

      See Also:
        Constant Field Values

    - #### FONT_STYLE

          public static final java.lang.String FONT_STYLE

      See Also:
        Constant Field Values

    - #### FONT_WEIGHT

          public static final java.lang.String FONT_WEIGHT

      See Also:
        Constant Field Values

    - #### ORIGIN

          public static final java.lang.String ORIGIN

      See Also:
        Constant Field Values

    - #### EXTENT

          public static final java.lang.String EXTENT

      See Also:
        Constant Field Values

    - #### REGION

          public static final java.lang.String REGION

      See Also:
        Constant Field Values

    - #### TEXT_ALIGN

          public static final java.lang.String TEXT_ALIGN

      See Also:
        Constant Field Values

    - #### TEXT_DECORATION

          public static final java.lang.String TEXT_DECORATION

      See Also:
        Constant Field Values

    - #### DISPLAY_ALIGN

          public static final java.lang.String DISPLAY_ALIGN

      See Also:
        Constant Field Values

    - #### FONT_FAMILY

          public static final java.lang.String FONT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Attributes

          public Attributes()